--[[ LibTransition-1.0
Revision: $Rev: 4 $
Author(s): Humbedooh
Description: PowerPoint goodness for your addon.
Dependencies: LibStub
License: All Rights Reserved.
]]

local tinsert,tremove,pow,sqrt,atan2,abs,floor,min,max,deg = table.insert, table.remove,math.pow,math.sqrt,math.atan2,math.abs,math.floor,math.min,math.max,math.deg;
local LITRANSITION = "LibTransition-1.0"
local LITRANSITION_MINOR = tonumber(("$Rev: 4 $"):match("(%d+)")) or 5000;
if not LibStub then error(LIBMG .. " requires LibStub.") end
local LibTransition = LibStub:NewLibrary(LITRANSITION, LITRANSITION_MINOR)
if not LibTransition then return end

LibTransition.timer = CreateFrame("Frame", UIParent);
LibTransition.timer:SetPoint("BOTTOMRIGHT", 0, 0);
LibTransition.timer:SetScript("OnUpdate", LibTransition.runTimer);

function LibTransition:GetFrame(frame)
	if ( type(frame) == "table" and frame.Show ) then return frame
	elseif ( type(frame) == "string" ) then
		frame = _G[frame];
		if ( type(frame) == "table" and frame.Show ) then return frame end
	end
	return nil;
end

function LibTransition.runTimer(me, elapsed)
end

function LibTransition:Queue(frame, ...)
end

function LibTransition:Compile()
end

function LibTransition:Run()
end

function LibTransition:FadeIn(frame, duration) end
function LibTransition:FadeOut(frame, duration) end
function LibTransition:Cut(frame) end
function LibTransition:WipeDown(frame, duration) end
function LibTransition:WipeUp(frame, duration) end
function LibTransition:BoxIn(frame, duration) end
function LibTransition:BoxOut(frame, duration) end
function LibTransition:Materialize(frame, duration) end
function LibTransition:Dissolve(frame, duration) end
function LibTransition:Squeeze(frame, duration, orientation) end
function LibTransition:Stretch(frame, duration, orientation) end
function LibTransition:PushIn(frame, duration, direction) end
function LibTransition:PushOut(frame, duration, direction) end
function LibTransition:Cover(frame, duration, direction) end
function LibTransition:Random(frame, duration) end
function LibTransition:Fly(frame, duration, x, y, rotation) end
function LibTransition:GravityPull(frame, x, y) end
function LibTransition:Bounce(frame, x, y) end


